Skip to navigation

Search target logs

Requires the pentests:read API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

targetIdstringRequired
Target UUID, from List pentest targets.

Request

This endpoint expects an object.
querystringRequired

Case-insensitive text to find.

levelenumOptional
Allowed values:
roleenumOptional
Allowed values:
contextLinesintegerOptional0-20
Entries to include on each side of a match. Defaults to 3.

Response

Each match with its surrounding entries.
targetIdstringformat: "uuid"
querystring
totalMatchesinteger
totalLogsinteger
contextLinesinteger
matcheslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error